<?php
/*
Plugin Name: Liner Soccer
Plugin URI: http://linerleague.com/index.php?p=get_liner
Description: Liner Soccer Wordpress Plugin
Author: Slawomir Sosialuk (RACERIT)
Version: 1.0
Author URI: http://linerleague.com/
*/

/**
 * Add function to widgets_init that'll load the Liner League widget.
 */
add_action( 'widgets_init', 'linersoccer_load_widgets' );

/**
 * Registers the Liner Soccer widget.
 */
function linersoccer_load_widgets() {
	register_widget( 'LinerSoccer_Widget' );
}


class LinerSoccer_Widget extends WP_Widget {
	
	function LinerSoccer_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'linersoccer', 'description' => 'The Liner Soccer game for Wordpress.' );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 300, 'id_base' => 'linersoccer-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'linersoccer-widget', 'Liner Soccer', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		/* User-selected settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$applet_width = $instance['applet_width'];
		$applet_height = $instance['applet_height'];

		/* Before widget. */
		echo $before_widget;

		/* Title of widget. */
		if ( $title )
			echo $before_title . $title . $after_title;

		/* Display the Liner League applet from widget settings. */
		?><applet code="com/linerleague/liner/applet/LinerApplet"
			codebase="wp-content/plugins/linersoccer"
			archive="LinerSoccer.jar"
			width="<?php 
			if ($applet_width) {
				echo $applet_width;
			} else {
				echo 180;
			}?>"
            height="<?php 
			if ($applet_height) {
				echo $applet_height;
			} else {
				echo 250;
			}?>"></applet><?php

		/* After widget. */
		echo $after_widget;
	}
	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags (if needed) and update the widget settings. */
		$instance['title'] = strip_tags( $new_instance['title'] );
		
		$instance['applet_width'] = strip_tags( $new_instance['applet_width'] );
		if ($instance['applet_width'] < 180) {
			$instance['applet_width'] = 180;
		}
		
		$instance['applet_height'] = strip_tags( $new_instance['applet_height'] );
		if ($instance['applet_height'] < 250) {
			$instance['applet_height'] = 250;
		}

		return $instance;
	}
	
	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => 'Liner Soccer', 'applet_width' => '180', 'applet_height' => '250');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
        
        <p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'applet_width' ); ?>">Width:</label>
			<input id="<?php echo $this->get_field_id( 'applet_width' ); ?>" name="<?php echo $this->get_field_name( 'applet_width' ); ?>" value="<?php echo $instance['applet_width']; ?>" style="width:100%;" />
		</p>
        
        <p>
			<label for="<?php echo $this->get_field_id( 'applet_height' ); ?>">Height:</label>
			<input id="<?php echo $this->get_field_id( 'applet_height' ); ?>" name="<?php echo $this->get_field_name( 'applet_height' ); ?>" value="<?php echo $instance['applet_height']; ?>" style="width:100%;" />
		</p>
        
       <?php
	}

}
?>